RamUsageUtil (Lucene 10.5.0 codecs API)
Description: declaration: package: org.apache.lucene.codecs.uniformsplit, class: RamUsageUtil

Package org.apache.lucene.codecs.uniformsplit

# Class RamUsageUtil

java.lang.Object
org.apache.lucene.codecs.uniformsplit.RamUsageUtil

public class RamUsageUtil extends Object
Utility methods to estimate the RAM usage of objects. It relies on `RamUsageEstimator`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RamUsageUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static long`
  `ramBytesUsed(TermState termState)`
  `static long`
  `ramBytesUsed(BytesRef bytesRef)`
  `static long`
  `ramBytesUsed(BytesRefBuilder bytesRefBuilder)`
  `static long`
  `ramBytesUsedByByteArrayOfLength(int length)`
  `static long`
  `ramBytesUsedByHashMapOfSize(int size)`
  `static long`
  `ramBytesUsedByObjectArrayOfLength(int length)`
  `static long`
  `ramBytesUsedByUnmodifiableArrayListOfSize(int size)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RamUsageUtil

    public RamUsageUtil()

- ## Method Details

  - ### ramBytesUsed

    public static long ramBytesUsed(BytesRef bytesRef)

  - ### ramBytesUsed

    public static long ramBytesUsed(BytesRefBuilder bytesRefBuilder)

  - ### ramBytesUsed

    public static long ramBytesUsed(TermState termState)

  - ### ramBytesUsedByByteArrayOfLength

    public static long ramBytesUsedByByteArrayOfLength(int length)

  - ### ramBytesUsedByHashMapOfSize

    public static long ramBytesUsedByHashMapOfSize(int size)

  - ### ramBytesUsedByUnmodifiableArrayListOfSize

    public static long ramBytesUsedByUnmodifiableArrayListOfSize(int size)

  - ### ramBytesUsedByObjectArrayOfLength

    public static long ramBytesUsedByObjectArrayOfLength(int length)